/*
 * Copyright (C) 2014 Canonical, Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Stefano Verzegnassi <stefano92.100@gmail.com>
 */

#include "pdfthread.h"
#include <QDebug>

void PdfThread::run()
{
    PdfPagesList pages;

    for( int i=0; i<m_document->numPages(); i++ )
        pages.append(m_document->page(i));

    Q_EMIT resultReady(pages);
}

void PdfThread::setDocument(Poppler::Document *document)
{
    m_document = document;
}
